Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#2 Re : Installation de Debian » [Résolu]Installation Dual-Boot Debian/ArchLinux » 22-09-2017 14:56:26

Merci encore Raleur. Tout est clair.

Créer une "grosse" partition de type LVM (volume physique).
Aller dans la gestion des volumes LVM.



Je ne me rappelais plus de cette option dans l'installeur(n'ayant jamais utiliser LVM j'ai a peine du poser les yeux dessus). J'aurais essayé dans une machine virtuelle je n'aurais pas eu à posé la question, désolé.

Encore merci a tous. Sa passe en résolu.

#3 Re : Installation de Debian » [Résolu]Installation Dual-Boot Debian/ArchLinux » 22-09-2017 14:02:55

Merci Smolski, je ne l’avais pas revu a la relecture.

Quelqu’un utilisant LVM pourrait m’expliquer (ou me rediriger) comment fait on pour installer  Debian sur du LVM.
Pour mois si il y a une installation de paquet a faire c’est que l’on a deja Debian installer sur le DD.

apt-get install lvm2



Je vois sa juste en dessous citation de Smolski

Dans 2 partitions linux, initialisons LVM :

pvcreate /dev/partition_linux1 /dev/partition_linux2


Qui me fais dire que les pv sont faits à partir de partitions deja existante.

#4 Re : Installation de Debian » [Résolu]Installation Dual-Boot Debian/ArchLinux » 22-09-2017 13:26:59

Merci pour les réponses raleur.

Si j'ai bien compris le wiki sur LVM, il s'agit d'une couche qui se rajoute par dessus les partitions classique? Ou j'ai tous faux et les partitions classique sont remplacer par des parttions LVM?

#5 Installation de Debian » [Résolu]Installation Dual-Boot Debian/ArchLinux » 22-09-2017 09:30:37

Brock_Flow
Réponses : 8
Bonjour,

Mon pc a actuellement Debian Jessie d'installer, en dual-boot avec un debut d'installation d'Archlinux qui a recemment remplacer la version W10 presente de base.
les partitions sont organiser comme suit:

fdisk -l



Disk /dev/sda: 238,5 GiB, 256060514304 bytes, 500118192 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0xa1d5a7d0

Device     Boot     Start       End   Sectors   Size Id Type
/dev/sda1  *         2048   1026047   1024000   500M  7 HPFS/NTFS/exFAT
/dev/sda2         1026048 196339709 195313662  93,1G 83 Linux
/dev/sda3       196339710 500117503 303777794 144,9G  5 Extended
/dev/sda5       196339712 215869439  19529728   9,3G 83 Linux
/dev/sda6       215871488 227260415  11388928   5,4G 82 Linux swap / Solaris
/dev/sda7       227262464 500117503 272855040 130,1G 83 Linux
 




sda2 -> Arch
sda3 -> Debian


Je voudrais passer a Debian Stretch et remmetre un dual-boot archlinux, en repartant de zero sur mon disque dur pour reequilibrer les partitions.
Je voudrais aboutir a quelque chose comme sa:


Partition   Point de montage   Distribution
/sda1       /                   Debian
/sda2       /home            Debian
/sda3       /swap             Debian
/sda4       /                    Arch
/sda5       /home                 Arch
/sda6       /swap               Arch
 



Le pc dispose de 8Go de Ram, je n'utilise pas l'hibernation les swap sont ils utilent? Si oui une taille de 2Go chacun est il suffisant?

J'ai cru comprendre que le partionnement du disque en GPT ete interressant, je voudrais donc me trouner vers cette solution.
Pour confirmation j'aurais les questions suivantes:

-Le type de partionnement n'a rien a voir avec le BIOS ou l'UEFI?
-L'UEFI a-t-il des avantages par rapport au BIOS?
-L'ordre des partition est il important en GPT au cas ou je decide de supprimer une des deux distribution?

Merci de votre lecture.

#6 Re : Multimédia » [Resolu]SweetHome3d manque GLX1.3 » 31-08-2017 12:03:13

Merci pour la commande. J'ai bien retrouver ma liste de paquets supprimer.
Cependant elle est longue, très longue, et comme tout est sur une seul ligne je ne peux pas le poster ainsi. J'essaie de la mettre en forme pour pouvoir la mettre.

cat /var/log/apt/history.log


Start-Date: 2017-08-28  14:47:11
Commandline: apt-get autoremove
Remove: desktop-base:amd64 (8.0.2), ant:amd64 (1.9.4-3), libgoa-1.0-0b:amd64 (3.14.2-1), fakeroot:amd64 (1.20.2-1),
libmpeg2-4:amd64 (0.5.1-7), giblib1:amd64 (1.2.4-10), liblog-message-perl:amd64 (0.8-1), tcl:amd64 (8.6.0+8),
geoip-database:amd64 (20150317-1), printer-driver-cjet:amd64 (0.8.9-6), kdelibs5-data:amd64 (4.14.2-5+deb8u2),
libsgutils2-2:amd64 (1.39-1), fop:amd64 (1.1.dfsg2-1+deb8u1), geoclue-2.0:amd64 (2.1.10-2), libgusb2:amd64 (0.1.6-5),
liba52-0.7.4:amd64 (0.7.4-17), hplip:amd64 (3.14.6-1+deb8u1), python-wicd:amd64 (1.7.2.4-4.1), rhythmbox-plugins:amd64 (3.1-1),
libhtml-form-perl:amd64 (6.03-1), libplist2:amd64 (1.11-3), fonts-dejavu:amd64 (2.34-1), libnet-smtp-ssl-perl:amd64 (1.01-3),
xdg-user-dirs:amd64 (0.15-2), printer-driver-min12xxw:amd64 (0.0.9-9), python3-markupsafe:amd64 (0.23-1+b1), libtk8.6:amd64 (8.6.2-1),
libparams-util-perl:amd64 (1.07-2+b1), ppp:amd64 (2.4.6-3.1), libwmf0.2-7:amd64 (0.2.8.4-10.3+deb8u2), wicd-gtk:amd64 (1.7.2.4-4.1),
libfop-java:amd64 (1.1.dfsg2-1+deb8u1), libqt4-sql-mysql:amd64 (4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1), printer-driver-dymo:amd64 (1.4.0-5),
libidl0:amd64 (0.8.14-0.4+b1), libxml-twig-perl:amd64 (3.48-1), update-inetd:amd64 (4.43), acpi-fakekey:amd64 (0.142-6),
printer-driver-all:amd64 (0.20140714), libbabeltrace-ctf1:amd64 (1.2.3-2), libsaxon-java:amd64 (6.5.5-10), iw:amd64 (3.17-1),
fuse:amd64 (2.9.3-15+deb8u2), libtcl8.5:amd64 (8.5.17-1), libtcl8.6:amd64 (8.6.2+dfsg-2), zeitgeist-core:amd64 (0.9.14-2.2),
libfile-fcntllock-perl:amd64 (0.22-1+b1), libmbim-glib4:amd64 (1.10.0-2.1), rfkill:amd64 (0.5-1), libgettextpo-dev:amd64 (0.19.3-2),
libx86-1:amd64 (1.1+ds1-10), libxmlgraphics-commons-java:amd64 (1.5-4), libgail18:amd64 (2.24.25-3+deb8u2),
libdirectfb-1.2-9:amd64 (1.2.10.0-5.1), os-prober:amd64 (1.65+deb8u1), avahi-daemon:amd64 (0.6.31-5), libwebpmux1:amd64 (0.4.1-1.2+b2),
libsane-common:amd64 (1.0.24-8+deb8u2), libdmapsharing-3.0-2:amd64 (2.9.28-1), doc-debian-fr:amd64 (3.1.3.1), libbonoboui2-0:amd64 (2.24.5-2),
libio-string-perl:amd64 (1.08-3), fonts-dejavu-extra:amd64 (2.34-1), x11-utils:amd64 (7.7+2), libjim0.75:amd64 (0.75-1),
libturbojpeg1:amd64 (1.3.1-12), libauthen-sasl-perl:amd64 (2.1600-1), libsane-hpaio:amd64 (3.14.6-1+deb8u1),
printer-driver-c2050:amd64 (0.3b-5), gir1.2-gst-plugins-base-1.0:amd64 (1.4.4-2+deb8u1), libgettextpo0:amd64 (0.19.3-2),
rename:amd64 (0.20-3), colord-data:amd64 (1.2.1-1), libmbim-proxy:amd64 (1.10.0-2.1), at-spi2-core:amd64 (2.14.0-1),
libhttp-daemon-perl:amd64 (6.01-1), libopencore-amrwb0:amd64 (0.1.3-2.1), libwebpdemux1:amd64 (0.4.1-1.2+b2),
libsoftware-license-perl:amd64 (0.103010-3), aptitude-doc-en:amd64 (0.6.11-1), python-pil:amd64 (2.6.1-2+deb8u3),
python-notify:amd64 (0.1.1-4), liblog-message-simple-perl:amd64 (0.10-2), libasprintf-dev:amd64 (0.19.3-2), printer-driver-pnm2ppa:amd64 (1.13-6),
libnet-dbus-perl:amd64 (1.0.0-2+b2), gir1.2-secret-1:amd64 (0.18-1+b1), yelp-xsl:amd64 (3.14.0-1),
libmodule-signature-perl:amd64 (0.73-1+deb8u2), pulseaudio-module-x11:amd64 (5.0-13), p11-kit:amd64 (0.20.7-1),
foomatic-db-compressed-ppds:amd64 (20150411-1), libpcap0.8:amd64 (1.8.1-3~bpo8+1), libalgorithm-diff-xs-perl:amd64 (0.04-3+b1),
wireless-regdb:amd64 (2016.06.10-1~deb8u1), util-linux-locales:amd64 (2.25.2-6), printer-driver-foo2zjs-common:amd64 (20140925dfsg0-3),
libgl1-mesa-dri:amd64 (10.3.2-1+deb8u1), libkeybinder0:amd64 (0.3.0-3), libfm-modules:amd64 (1.2.3-1), gir1.2-peas-1.0:amd64 (1.12.1-2),
libclass-c3-xs-perl:amd64 (0.13-2+b1), libcolorhug2:amd64 (1.2.1-1+b2), udisks2:amd64 (2.1.3-5), bluetooth:amd64 (5.23-2),
gir1.2-javascriptcoregtk-3.0:amd64 (2.4.9-1~deb8u1), sudo:amd64 (1.8.10p3-1+deb8u4), python-pexpect:amd64 (3.2-1),
libart-2.0-2:amd64 (2.3.21-2), libntdb1:amd64 (1.0-5), libmailtools-perl:amd64 (2.13-1), libclass-accessor-perl:amd64 (0.34-1),
libhpmud0:amd64 (3.14.6-1+deb8u1), libhtml-format-perl:amd64 (2.11-1), printer-driver-pxljr:amd64 (1.4+repack0-4+b1),
i965-va-driver:amd64 (1.4.1-2), gnome-icon-theme-symbolic:amd64 (3.12.0-1), vdpau-va-driver:amd64 (0.7.4-3),
printer-driver-foo2zjs:amd64 (20140925dfsg0-3), openprinting-ppds:amd64 (20150411-1), python-renderpm:amd64 (3.1.8-3+deb8u1),
libnetpbm10:amd64 (10.0-15.2), tk:amd64 (8.6.0+8), libilmbase6:amd64 (1.0.1-6.1), parted:amd64 (3.2-7), libalgorithm-merge-perl:amd64 (0.08-2),
libvisual-0.4-plugins:amd64 (0.4.0.dfsg.1-7), libnss-mdns:amd64 (0.10-6), libieee1284-3:amd64 (0.2.11-12), gvfs-common:amd64 (1.22.2-1),
python-pyorbit:amd64 (2.24.0-7), scrot:amd64 (0.8-13), rhino:amd64 (1.7R4-3), libsub-install-perl:amd64 (0.928-1),
notification-daemon:amd64 (0.7.6-2), manpages-fr-extra:amd64 (20150130), minissdpd:amd64 (1.2.20130907-3+deb8u1),
gtk2-engines-pixbuf:amd64 (2.24.25-3+deb8u2), libbabeltrace1:amd64 (1.2.3-2), libalgorithm-c3-perl:amd64 (0.09-1),
ant-optional:amd64 (1.9.4-3), w3m-img:amd64 (0.5.3-19+deb8u2), gnome-themes-standard-data:amd64 (3.14.2.2-1),
dosfstools:amd64 (3.0.27-1), python-imaging:amd64 (2.6.1-2+deb8u3), powertop:amd64 (2.6.1-1), libsane-extras:amd64 (1.0.22.3),
libpod-readme-perl:amd64 (0.11-1), libmodule-build-perl:amd64 (0.421000-2+deb8u1), python-keybinder:amd64 (0.3.0-3),
gdbserver:amd64 (7.11.1-2~bpo8+1), libgtk2.0-bin:amd64 (2.24.25-3+deb8u2), libtevent0:amd64 (0.9.28-0+deb8u1),
gnome-accessibility-themes:amd64 (3.14.2.2-1), libsnmp-base:amd64 (5.7.2.1+dfsg-1), libgoa-1.0-common:amd64 (3.14.2-1),
libusbmuxd2:amd64 (1.0.9-1), weechat-plugins:amd64 (1.0.1-1+deb8u1), libtxc-dxtn-s2tc0:amd64 (0~git20131104-1.1),
libcanberra-gtk3-module:amd64 (0.30-2.1), libjline-java:amd64 (1.0-2), libgutenprint2:amd64 (5.2.10-3), xbitmaps:amd64 (1.1.1-2),
gvfs-daemons:amd64 (1.22.2-1), libperl5.20:amd64 (5.20.2-3+deb8u8), libfile-mimeinfo-perl:amd64 (0.26-1), p11-kit-modules:amd64 (0.20.7-1),
python-reportlab-accel:amd64 (3.1.8-3+deb8u1), gsfonts-x11:amd64 (0.22), libgpod4:amd64 (0.8.3-1.1+b1), rtkit:amd64 (0.11-2),
libclass-c3-perl:amd64 (0.26-1), libfile-desktopentry-perl:amd64 (0.07-1), libcgi-pm-perl:amd64 (4.09-1), wicd-daemon:amd64 (1.7.2.4-4.1),
printer-driver-postscript-hp:amd64 (3.14.6-1+deb8u1), python-gnome2:amd64 (2.28.1+dfsg-1.1), libruby2.1:amd64 (2.1.5-2+deb8u3),
libimobiledevice4:amd64 (1.1.6+dfsg-3.1), libdjvulibre-text:amd64 (3.5.25.4-4), libgd3:amd64 (2.1.0-5+deb8u10), libutempter0:amd64 (1.1.5-4),
libterm-ui-perl:amd64 (0.42-1), python-reportlab:amd64 (3.1.8-3+deb8u1), libgphoto2-port10:amd64 (2.5.4-1.1+b2),
printer-driver-hpijs:amd64 (3.14.6-1+deb8u1), libgnomeui-common:amd64 (2.24.5-3), libxml-sax-expat-perl:amd64 (0.40-2),
libalgorithm-diff-perl:amd64 (1.19.02-3), gvfs-fuse:amd64 (1.22.2-1), eject:amd64 (2.1.5+deb1+cvs20081104-13.1+deb8u1),
qpdf:amd64 (5.1.2-2), libgtop2-common:amd64 (2.28.5-2), usbmuxd:amd64 (1.0.8+git20140527.e72f2f7-2), libmtp9:amd64 (1.1.8-1+b1),
guile-2.0-libs:amd64 (2.0.11+1-9+deb8u1), python-xdg:amd64 (0.25-4), cups-browsed:amd64 (1.0.61-5+deb8u3), libyaml-0-2:amd64 (0.1.6-3),
libldb1:amd64 (1.1.20-0+deb8u1), gnome-user-guide:amd64 (3.14.1-1), libgksu2-0:amd64 (2.0.13~pre1-8), gvfs:amd64 (1.22.2-1),
gnome-keyring:amd64 (3.14.0-1+b1), foomatic-db-engine:amd64 (4.0.11-1), librhino-java:amd64 (1.7R4-3),
ntfs-3g:amd64 (2014.2.15AR.2-1+deb8u3), debian-policy:amd64 (3.9.6.1), printer-driver-gutenprint:amd64 (5.2.10-3),
libsane:amd64 (1.0.24-8+deb8u2), lsb-release:amd64 (4.1+Debian13+nmu1), maint-guide-fr:amd64 (1.2.35),
libxom-java:amd64 (1.2.10-1), wfrench:amd64 (1.2.3-10), gcr:amd64 (3.14.0-2), libfile-copy-recursive-perl:amd64 (0.38-1),
libyelp0:amd64 (3.14.1-1), gdb:amd64 (7.11.1-2~bpo8+1), libcpan-meta-perl:amd64 (2.142690-1), libgtop2-7:amd64 (2.28.5-2+b1),
libsub-exporter-perl:amd64 (0.986-1), samba-libs:amd64 (4.2.14+dfsg-0+deb8u7+b1),
liblcms2-utils:amd64 (2.6-3+deb8u1), libgrilo-0.2-1:amd64 (0.2.11-2), mysql-common:amd64 (5.5.57-0+deb8u1), libsdl1.2debian:amd64 (1.2.15-10+b1),
libgck-1-0:amd64 (3.14.0-2), libsub-name-perl:amd64 (0.12-1), libgnomecanvas2-0:amd64 (2.30.3-2), libbonoboui2-common:amd64 (2.24.5-2),
va-driver-all:amd64 (1.4.1-1), libpostproc52:amd64 (0.git20120821-4), bluez:amd64 (5.23-2+b1), libfakeroot:amd64 (1.20.2-1),
sane-utils:amd64 (1.0.24-8+deb8u2), gvfs-backends:amd64 (1.22.2-1), libdee-1.0-4:amd64 (1.0.10-3.1),
gstreamer1.0-plugins-ugly:amd64 (1.4.4-2+deb8u1), libatasmart4:amd64 (0.19-3), libx11-doc:amd64 (1.6.2-3), libdca0:amd64 (0.0.5-7),
libpod-latex-perl:amd64 (0.61-1), libregexp-common-perl:amd64 (2013031301-1), libfont-afm-perl:amd64 (1.20-1),
libmysqlclient18:amd64 (5.5.57-0+deb8u1), usb-modeswitch-data:amd64 (20150115-1), python-gconf:amd64 (2.28.1+dfsg-1.1),
syslinux-common:amd64 (6.03+dfsg-5+deb8u1), netpbm:amd64 (10.0-15.2), libqmi-glib1:amd64 (1.10.2-2), libgnome2-0:amd64 (2.32.1-5),
libavahi-core7:amd64 (0.6.31-5), libxpp3-java:amd64 (1.1.4c-2), emacs24-bin-common:amd64 (24.4+1-5), libfcgi-perl:amd64 (0.77-1+deb8u1),
libgphoto2-6:amd64 (2.5.4-1.1+b2), modemmanager:amd64 (1.4.0-1), gstreamer1.0-pulseaudio:amd64 (1.4.4-2+deb8u3),
libgnomecanvas2-common:amd64 (2.30.3-2), sweethome3d-furniture:amd64 (1.4.2-1), python-pygments:amd64 (2.0.1+dfsg-1.1+deb8u1),
libgnomeui-0:amd64 (2.24.5-3), libx11-protocol-perl:amd64 (0.56-6), libopenexr6:amd64 (1.6.1-8), manpages-dev:amd64 (3.74-1),
printer-driver-splix:amd64 (2.0.0+svn315-4), gir1.2-gnomekeyring-1.0:amd64 (3.12.0-1+b1), libfile-basedir-perl:amd64 (0.03-1),
libpam-gnome-keyring:amd64 (3.14.0-1+b1), libxml-xpathengine-perl:amd64 (0.13-1), fonts-droid:amd64 (4.4.4r2-6), hp-ppd:amd64 (0.9-0.2),
emacs24-common:amd64 (24.4+1-5), printer-driver-hpcups:amd64 (3.14.6-1+deb8u1), libtalloc2:amd64 (2.1.2-0+deb8u1),
libmsv-java:amd64 (2009.1+dfsg1-4), libgpod-common:amd64 (0.8.3-1.1+b1), libzeitgeist-2.0-0:amd64 (0.9.14-2.2),
libtext-soundex-perl:amd64 (3.4-1+b2), mscompress:amd64 (0.4-3), libdata-optlist-perl:amd64 (0.109-1), crda:amd64 (3.13-1),
tk8.6:amd64 (8.6.2-1), libmtp-common:amd64 (1.1.8-1), libmodule-pluggable-perl:amd64 (5.1-1), libjpeg-turbo-progs:amd64 (1.3.1-12),
tcl8.6:amd64 (8.6.2+dfsg-2), libdom4j-java:amd64 (1.6.1+dfsg.3-2), libqmi-proxy:amd64 (1.10.2-2), libarchive-zip-perl:amd64 (1.39-1),
docutils-doc:amd64 (0.12+dfsg-1), librelaxng-datatype-java:amd64 (1.0+ds1-3), autopoint:amd64 (0.19.3-2), libxpp2-java:amd64 (2.1.10-7),
libtie-ixhash-perl:amd64 (1.23-1), python-talloc:amd64 (2.1.2-0+deb8u1), usb-modeswitch:amd64 (2.2.0+repack0-2),
 libsasl2-modules:amd64 (2.1.26.dfsg1-13+deb8u1), icc-profiles-free:amd64 (2.0.1+dfsg-1), enchant:amd64 (1.6.0-10.1), libsane-extras-common:amd64 (1.0.22.3),
xterm:amd64 (312-2), libpaper-utils:amd64 (1.1.24+nmu4), libtext-template-perl:amd64 (1.46-1), hplip-data:amd64 (3.14.6-1+deb8u1),
mplayer2:amd64 (2.0-728-g2c378c7-4+b1), libpackage-constants-perl:amd64 (0.04-1), printer-driver-brlaser:amd64 (3-3),
gir1.2-gstreamer-1.0:amd64 (1.4.4-2+deb8u1), hdparm:amd64 (9.43-2), gvfs-libs:amd64 (1.22.2-1), lksctp-tools:amd64 (1.0.16+dfsg-2),
developers-reference-fr:amd64 (3.4.14), colord:amd64 (1.2.1-1+b2), libaacs0:amd64 (0.7.1-1+b1), libsidplay1:amd64 (1.36.59-6),
libwbclient0:amd64 (4.2.14+dfsg-0+deb8u7+b1), libmagickcore-6.q16-2-extra:amd64 (6.8.9.9-5+deb8u10), libisorelax-java:amd64 (20041111-8),
rsync:amd64 (3.1.1-3), python3-mako:amd64 (1.0.0+dfsg-0.1), libmtp-runtime:amd64 (1.1.8-1+b1), libc6-dbg:amd64 (2.19-18+deb8u10),
printer-driver-m2300w:amd64 (0.51-12), yelp:amd64 (3.14.1-1), libdjvulibre21:amd64 (3.5.25.4-4+b1), libgcr-base-3-1:amd64 (3.14.0-2),
printer-driver-sag-gdi:amd64 (0.1-4), ethtool:amd64 (3.16-1), gir1.2-rb-3.0:amd64 (3.1-1), printer-driver-c2esp:amd64 (27-2),
libarchive-extract-perl:amd64 (0.72-1), gnome-themes-standard:amd64 (3.14.2.2-1), printer-driver-escpr:amd64 (1.4.1-2),
gir1.2-webkit-3.0:amd64 (2.4.9-1~deb8u1), doc-linux-fr-text:amd64 (2013.01-2), vbetool:amd64 (1.1-3), libsnmp30:amd64 (5.7.2.1+dfsg-1),
libdaemon0:amd64 (0.14-6), gir1.2-soup-2.4:amd64 (2.48.0-1+deb8u1), desktop-file-utils:amd64 (0.22-1), liborbit2:amd64 (2.14.19-0.3),
libxxf86dga1:amd64 (1.1.4-1+b1), libgphoto2-l10n:amd64 (2.5.4-1.1), libxml-parser-perl:amd64 (2.41-3), avahi-autoipd:amd64 (0.6.31-5),
tcpd:amd64 (7.6.q-25), libsmbclient:amd64 (4.2.14+dfsg-0+deb8u7+b1), libgcr-3-common:amd64 (3.14.0-2),
libparse-debianchangelog-perl:amd64 (1.2.0-1.1), libgcr-ui-3-1:amd64 (3.14.0-2), gksu:amd64 (2.0.2-9),
libdata-section-perl:amd64 (0.200006-1), libmro-compat-perl:amd64 (0.12-1), wireless-tools:amd64 (30~pre9-8),
printer-driver-ptouch:amd64 (1.3-8), libopencore-amrnb0:amd64 (0.1.3-2.1), libcgi-fast-perl:amd64 (2.04-1)
End-Date: 2017-08-28  14:48:16



J'ai essayer d'installer tout se qui avais un rapport avec java au cas ou mais rien de nouveau.


apt install libfop-java libsaxon-java libxmlgraphics-commons-java gir1.2-javascriptcoregtk-3.0
libjline-java librhino-java libxom-java libxpp3-java libmsv-java libdom4j-java librelaxng-datatype-java
libxpp2-java libisorelax-java
 



Edit:
Apres un redemmarage sweethome 3D se lance. Aucune idée si c'est paquet ont suffit.

#7 Multimédia » [Resolu]SweetHome3d manque GLX1.3 » 31-08-2017 09:22:17

Brock_Flow
Réponses : 2
Bonjour,
Suite a l'installation de debian jessie il y a maintenant 1 an sur un lenovo thinkpad X220, j'ai configurer apt pour qu'il n'installe plus les paquets recommander (https://debian-facile.org/doc:systeme:a … ependances)

lspci:

00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000 [Condor Peak]
0d:00.0 System peripheral: Ricoh Co Ltd PCIe SDXC/MMC Host Controller (rev 07)
 



Voici mon fichier 00-pasderecommands:

APT::Install-Recommends "false";
APT::Install-Suggests "false";
APT::AutoRemove::RecommendsImportant "false";
APT::AutoRemove::SuggestsImportant "false";
 




suite a cela certains paquets on logiquement été supprimer.
J'ai voulu relancer sweethome3d (un logiciel de creation de plan et de visualisation 3d), seulement le logiciel ne se lance pas.
Je tente de le lancer depuis le terminal, voici le retour d'erreur:

florent@X220:~$ sweethome3d
Java 3D: implicit antialiasing enabled
Java 3D ERROR : GLX extension is not supported
    GLX version 1.3 or higher is required
Exception in thread "AWT-EventQueue-0" java.lang.NullPointerException
  at com.eteks.sweethome3d.j3d.Component3DManager.getCanvas3D(Unknown Source)
  at com.eteks.sweethome3d.j3d.Component3DManager.getOnscreenCanvas3D(Unknown Source)
  at com.eteks.sweethome3d.swing.HomeComponent3D.createComponent3D(Unknown Source)
  at com.eteks.sweethome3d.swing.HomeComponent3D.<init>(Unknown Source)
  at com.eteks.sweethome3d.swing.HomeComponent3D.<init>(Unknown Source)
  at com.eteks.sweethome3d.swing.SwingViewFactory.createView3D(Unknown Source)
  at com.eteks.sweethome3d.viewcontroller.HomeController3D.getView(Unknown Source)
  at com.eteks.sweethome3d.swing.HomePane.createActions(Unknown Source)
  at com.eteks.sweethome3d.swing.HomePane.<init>(Unknown Source)
  at com.eteks.sweethome3d.swing.SwingViewFactory.createHomeView(Unknown Source)
  at com.eteks.sweethome3d.viewcontroller.HomeController.getView(Unknown Source)
  at com.eteks.sweethome3d.HomeFramePane.<init>(Unknown Source)
  at com.eteks.sweethome3d.HomeFrameController.getView(Unknown Source)
  at com.eteks.sweethome3d.HomeFrameController.displayView(Unknown Source)
  at com.eteks.sweethome3d.SweetHome3D$4.collectionChanged(Unknown Source)
  at com.eteks.sweethome3d.model.CollectionChangeSupport.fireCollectionChanged(Unknown Source)
  at com.eteks.sweethome3d.model.HomeApplication.addHome(Unknown Source)
  at com.eteks.sweethome3d.SweetHome3D.showDefaultHomeFrame(Unknown Source)
  at com.eteks.sweethome3d.SweetHome3D.start(Unknown Source)
  at com.eteks.sweethome3d.SweetHome3D$5.run(Unknown Source)
  at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:312)
  at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:745)
  at java.awt.EventQueue.access$300(EventQueue.java:103)
  at java.awt.EventQueue$3.run(EventQueue.java:706)
  at java.awt.EventQueue$3.run(EventQueue.java:704)
  at java.security.AccessController.doPrivileged(Native Method)
  at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
  at java.awt.EventQueue.dispatchEvent(EventQueue.java:715)
  at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:218)
  at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:133)
  at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:122)
  at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:118)
  at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:110)
  at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
 




Visiblement il me manque GLX1.3 qui a du etre supprimer je suppose.
Y a t il un moyen de recuperer la liste des paquets desinstaller lors de la suppression des recommends ?
Ou sinon, vers quel paquets me tourner pour avoir GLX x.x qui me conviendrais. Je ne trouve que des paquets pour NVIDIA ou ATI.

Edit:
J'ai trouver ceci mais je ne suis pas sur que cela convienne : https://packages.debian.org/jessie/libfltk-gl1.3

#8 Re : Culture et confiture » Vos screenshots!! » 13-06-2017 13:47:00

Bonjour, Voici mon bureau openbox.
Retrouver le fond ecran chez son createur :Pepper&Carrot
1497357741.jpg

Je n'ai pas encore tous regarder mais y a des config de bureau pas mal. Jolie boulot a vous smile

#9 Re : Présentations » Presentation Brock_Flow » 13-06-2017 13:29:56

daufinsyd a écrit :


Pour la correction une petite astuce, le plugin Grammalect est dispo pour Firefox ! big_smile



Merci je vais voir ce que sa donne. Mais je suis au courant que le principal problème de mon orthographe c’est moi et ma feignantise.

Merci a tous pour l'acceuil.

#10 Présentations » Presentation Brock_Flow » 13-06-2017 11:59:41

Brock_Flow
Réponses : 6
Bonjour a tous.

Brock_Flow utilisateur de debian sporadique depuis une dizaine d'années, j'ai commencer par du ubuntu/kubuntu mais de nombreux problèmes avec mon ancienne machine mon fais passer a debian.
J'ai d'abord été motivée dans ma ("relative"") jeunesse par mon envie de bidouiller mon ordi et l'argument infaillible dans ce monde "C'est gratuit".
Aujourd'hui jeune papa je me penche un peu plus sur la philosophie du monde du libre avec impatience de  le faire découvrir a ma progéniture quand elle seras en age de pratique l'informatique.

J'ai découvert le forum il y a plusieurs mois. Suite a plusieurs passage sur irc et sur les messages récents j'ai  eu envie de me mêler a cet communauté.

nota: Ma seul correction orthographique se restreint a faire clique droit sur les mots souligné.

Pied de page des forums

Propulsé par FluxBB